Forum openmoko-fr.org

Forum de la communauté francophone autour du projet OpenMoko

Vous n'êtes pas identifié.

Annonce

Bienvenue sur ce forum.

Face à un afflux de spammers, les inscriptions ont été désactivée.
Si vous souhaitez vous inscrire, il faudra en faire la demande auprès du webmaster (voir la section "Contact" sur le Blog).

#51 21-12-2009 16:13:00

xav_19
Cool-Moko
Lieu: Paris
Date d'inscription: 23-01-2009
Messages: 29

Re: [QTmoko] V15 out (QT4.6 inside)

ok ok je m'y colle smile

Hors ligne

 

#52 21-12-2009 22:59:49

misc
Addicted-Moko
Lieu: Clamart
Date d'inscription: 10-04-2009
Messages: 724

Re: [QTmoko] V15 out (QT4.6 inside)

Il y a pas de volonté d'intégré directement debian, un jour ?

Hors ligne

 

#53 22-12-2009 08:33:44

Burn2
MoKorateur
Date d'inscription: 15-05-2009
Messages: 1782

Re: [QTmoko] V15 out (QT4.6 inside)

Comment ça?


Fr A6 - Android 1.5
Aucun fix, A6 pur. (donc bug du buzz inside hmm )

Hors ligne

 

#54 22-12-2009 10:39:20

misc
Addicted-Moko
Lieu: Clamart
Date d'inscription: 10-04-2009
Messages: 724

Re: [QTmoko] V15 out (QT4.6 inside)

Faire un paquet de qtmoko directement dans l'archive debian, car la, j'ai le sentiment que ça se base sur debian stable, c'est u peu embetant pour ce que je voudrais faire.

Hors ligne

 

#55 22-12-2009 10:43:50

Burn2
MoKorateur
Date d'inscription: 15-05-2009
Messages: 1782

Re: [QTmoko] V15 out (QT4.6 inside)

C'est sur debian stable oui et il existe un paquet qtmoko normalement. wink


Fr A6 - Android 1.5
Aucun fix, A6 pur. (donc bug du buzz inside hmm )

Hors ligne

 

#56 22-12-2009 18:23:42

misc
Addicted-Moko
Lieu: Clamart
Date d'inscription: 10-04-2009
Messages: 724

Re: [QTmoko] V15 out (QT4.6 inside)

ouais, mais ça va prendre les paquets d'un depot en unstable, si je me souviens bien. Et le paquet debian est hors de debian, donc faut le recompiler sur unstable ( et je sais pas si ça va marcher, vu qu'il y a bluez 4.X, etc, etc )

Hors ligne

 

#57 22-12-2009 18:32:15

Burn2
MoKorateur
Date d'inscription: 15-05-2009
Messages: 1782

Re: [QTmoko] V15 out (QT4.6 inside)

Bah sinon tu télécharges le git, tu compiles le sdk et tu fous l'image sur ta debian ça doit marcher normalement si tout est bien configuré. (normalement qui peut le plus peut le moins et donc un programme qui passe en stable passe en unstable si les dev n'ont pas péter la compatibilité ascendante.


Fr A6 - Android 1.5
Aucun fix, A6 pur. (donc bug du buzz inside hmm )

Hors ligne

 

#58 23-12-2009 01:14:36

misc
Addicted-Moko
Lieu: Clamart
Date d'inscription: 10-04-2009
Messages: 724

Re: [QTmoko] V15 out (QT4.6 inside)

Pour travailler moi même sur une distribution linux, je peux te garantir que le fait que ça marche un jour n'est en aucun cas la garantie que ça marche un autre jour, surtout quand tout à changer en dessous hmm

Hors ligne

 

#59 31-12-2009 13:09:22

Tester0
Moko
Date d'inscription: 01-05-2009
Messages: 10

Re: [QTmoko] V15 out (QT4.6 inside)

Salut à vous!

J'essaye d'utiliser la dernière toolchain dispo ici: http://sourceforge.net/projects/qtmoko/files/

Mais quand je fais:

Code:

user [/home/user/freerunner/build_qtmoko] : ../qtmoko/configure -device neo -D _FORTIFY_SOURCE=0 -rtti -confirm-license

Il me sort:

Code:

COMPILE:  arm-linux-gcc -pipe -c -o main.o /home/base/freerunner/qtmoko/config.tests/compiler/main.c
/opt/toolchains/arm920t-eabi/bin/../lib/gcc/arm-linux-gnueabi/4.3.2/cc1: error while loading shared libraries: libmpfr.so.1: cannot open shared object file: No such file or directory
runwithvars.sh exited with value 1 at /home/base/freerunner/qtmoko/src/build/bin/configure line 4019
        eval {...} called at /home/base/freerunner/qtmoko/src/build/bin/configure line 4002
        main::configtest('compiler', 'env', 'CXX=\'arm-linux-g++\' CXXFLAGS=\'-pipe -DQT_QWS_FICGTA01 -fno...', 'outvar', 'INFO: PATH=/home/base/freerunner/buil_qtmoko/src/build/bin/pk...') called at /home/base/freerunner/qtmoko/src/build/bin/configure line 2279
FAIL
Note: Run configure -verbose for verbose errors
make: *** [src/build/mkconf/configure] Erreur 1

Pourquoi cette lib est inconnue? (une lib concernant les float il me semble)
Avez vous eu ce problème? Connaissez-vous une solution?

Merci d'avance pour le coup de main!

Note: j'utilise une XUbuntu 64bits...

Hors ligne

 

#60 01-01-2010 12:03:31

Burn2
MoKorateur
Date d'inscription: 15-05-2009
Messages: 1782

Re: [QTmoko] V15 out (QT4.6 inside)

Bonjour, il faut suivre à la lettre la méthode pour récupérer le git:

Compling from sources
=====================

  * Download and install toolchain

cd /
sudo wget http://qtextended.org/downloads/toolcha … t-eabi.tgz
sudo tar xzvpf arm920t-eabi.tgz

  * Clone current git tree:

git clone git://github.com/radekp/qtmoko.git

  * Initialize and update submodules

cd qtmoko
git submodule init
git submodule update

  * Create build directory (you cant build from the git directory)

mkdir ../build
cd ../build

  * Build it:

../qtmoko/configure -device neo -D _FORTIFY_SOURCE=0 -rtti -confirm-license
make

après vous pouvez faire un qbuild du sdk etc. Mais il faut faire les 3 étapes du haut pour avoir le git complet.


Fr A6 - Android 1.5
Aucun fix, A6 pur. (donc bug du buzz inside hmm )

Hors ligne

 

#61 01-01-2010 13:17:49

Tester0
Moko
Date d'inscription: 01-05-2009
Messages: 10

Re: [QTmoko] V15 out (QT4.6 inside)

Merci pour cette prompte réponse! Ca roule!

En fait j'avais télécharger la toolchain sur sourceforge (http://sourceforge.net/projects/qtmoko/files/)... C'est la seul différence entre ta procédure et celle que j'avais utiliser... Mon problème provenait de ça?

Hors ligne

 

#62 01-01-2010 13:21:09

Burn2
MoKorateur
Date d'inscription: 15-05-2009
Messages: 1782

Re: [QTmoko] V15 out (QT4.6 inside)

Bah normalement non vu que le tookchain à utiliser et celui sur le source forge maintenant à ma connaissance mais bon je ne sais pas trop. Si tu es sûr d'avoir fait tout ce qui va bien au niveau du git aucune idée.


Fr A6 - Android 1.5
Aucun fix, A6 pur. (donc bug du buzz inside hmm )

Hors ligne

 

#63 01-01-2010 21:51:08

Tester0
Moko
Date d'inscription: 01-05-2009
Messages: 10

Re: [QTmoko] V15 out (QT4.6 inside)

... Donc si je veux développer avec la dernière version de la toolchain qtmoko, il faut que j'utilise tout de même celle de sourgeforge et non celle de qtextended (http://qtextended.org/downloads/toolchains) ... Right ?

... m'en va refaire ça proprement...

Hors ligne

 

#64 01-01-2010 22:01:25

Tester0
Moko
Date d'inscription: 01-05-2009
Messages: 10

Re: [QTmoko] V15 out (QT4.6 inside)

Avec les toolchain sourceforge j'ai denouveau le même message d'erreur lors du configure...

Hors ligne

 

#65 02-01-2010 19:14:18

Burn2
MoKorateur
Date d'inscription: 15-05-2009
Messages: 1782

Re: [QTmoko] V15 out (QT4.6 inside)

Hum donc il doit y avoir un truc.


Fr A6 - Android 1.5
Aucun fix, A6 pur. (donc bug du buzz inside hmm )

Hors ligne

 

#66 04-01-2010 14:16:58

xav_19
Cool-Moko
Lieu: Paris
Date d'inscription: 23-01-2009
Messages: 29

Re: [QTmoko] V15 out (QT4.6 inside)

Il me semble que libmpfr est une dépendance de gcc 4.4
il se peut que la toolchain comporte une version de gcc 4.4 mais que la lib ne soit pas incluse
quelle est la version de ton gcc sur ta distrib ? si elle est inférieure à 4.4 alors tu n'as pas de libmpfr installé sur ton système
Je dis ça mais c'est qu'une hypothèse....

Hors ligne

 

#67 17-01-2010 14:27:19

Tester0
Moko
Date d'inscription: 01-05-2009
Messages: 10

Re: [QTmoko] V15 out (QT4.6 inside)

Pardon pour ce retard...

Version GCC: 4.4.1
KUbuntu 64bits, à jour...

Je m'en va réessayer la compilation dans la journée!

Dernière modification par Tester0 (17-01-2010 14:28:06)

Hors ligne

 

#68 17-01-2010 15:30:38

Tester0
Moko
Date d'inscription: 01-05-2009
Messages: 10

Re: [QTmoko] V15 out (QT4.6 inside)

Woila, le problème est résolu: c'est la version 64bits d'ubuntu qui pose problème.

Pour résoudre mon problème j'ai suivi la maillinglist suivante: http://lists.openmoko.org/nabble.html#nabble-td4274164

A la prochaine!

Hors ligne

 

Pied de page des forums

Propulsé par FluxBB 1.2.20
Traduction par FluxBB.fr

Hébergé par :
Bearstech